package cadastros

import repositorios.IRep
import repositorios.RepAgencia
import entidades.Agencia

class CadastroAgencia {

	public IRep<Agencia> repAgencia;
	
	public CadastroAgencia(){
		repAgencia = new RepAgencia();
	}
	
	public void salvarAgencia(Agencia agencia){
		if(repAgencia.findId(agencia.getIdentificador()) == null){
			repAgencia.save(agencia);
		}
	}

	
	public void removerAgencia(long id){
		if(repAgencia.findId(id) != null){
			repAgencia.delete(id);
		}
	}
	
	
	
	public Agencia recuperarAgencia(long id){
		return repAgencia.findId(id);
	}
	
	public List<Agencia> recuperarAgencias(){
		return repAgencia.all();
	}
	
}
