package cadastros
import repositorios.IRep
import repositorios.RepConta
import entidades.Conta

class CadastroConta {
	public IRep<Conta> repConta;
	public CadastroConta(){
		repConta = new RepConta();
	}
	public void salvarConta(Conta conta){
		if(repConta.findId(conta.getNumero()) == null){
			repConta.save(conta);
		}
	}
	public void removerConta(long id){
		if(repConta.findId(id) != null){
			repConta.delete(id);
		}
	}
	public boolean debitar(long numeroConta, double valor)
	{
		def conta = repConta.findId(numeroConta)
		if((conta.getSaldo() - valor) >=0)
		{
			conta.debitar(valor)
			repConta.save(conta)
			return true
		}
		else
		return false
	}
	public void creditar(long numeroConta, double valor)
	{
		def conta = repConta.findId(numeroConta)
		conta.creditar(valor)
		repConta.save(conta)
	}
	public Conta recuperarConta(long id){
		return repConta.findId(id);
	}
	public List<Conta> recuperarContas(){
		return repConta.all();
	}
}
