package fachada

import controladores.ControladorAgencia
import controladores.ControladorConta
import controladores.ControladorDOC
import entidades.Agencia
import entidades.Conta
import entidades.DOC

class Fachada {

    static constraints = {
    }
	private static Fachada instance;
	private ControladorDOC controladorDOC
	private ControladorAgencia controladorAgencia
	private ControladorConta controladorConta
	private Fachada(){
		 controladorDOC = new ControladorDOC()
		 controladorAgencia = new ControladorAgencia()
		 controladorConta = new ControladorConta()
	}
	public static Fachada getInstance(){
		if(instance == null){
			instance = new Fachada();
		}
		return instance;
	}
	public void fazerDOC(DOC doc){
		controladorDOC.fazerDOC(doc);
	}
	public Conta getConta(long idConta){
		return controladorConta.getConta(idConta);
	}
	public void criarConta(Conta c){
		controladorConta.criarConta(c);
	}
	public void criarAgencia(Agencia c){
		controladorAgencia.criarAgencia(c);
	}
	public List<Conta> contas(){
		return controladorConta.contas();
	}
	public List<Agencia> agencias(){
		return controladorAgencia.agencias();
	}
}
